Delen via


Attached Networks - Get By Dev Center

Hiermee haalt u een gekoppelde NetworkConnection op.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevCenter/devcenters/{devCenterName}/attachednetworks/{attachedNetworkConnectionName}?api-version=2024-02-01

URI-parameters

Name In Vereist Type Description
attachedNetworkConnectionName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9][a-zA-Z0-9-_.]{2,62}$

De naam van de gekoppelde NetworkConnection.

devCenterName
path True

string

minLength: 3
maxLength: 26
pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]{2,25}$

De naam van het devcenter.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is niet hoofdlettergevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

AttachedNetworkConnection

OK. De aanvraag is voltooid.

Other Status Codes

ErrorResponse

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

AttachedNetworks_GetByDevCenter

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/devcenters/Contoso/attachednetworks/network-uswest3?api-version=2024-02-01

Voorbeeldrespons

{
  "id": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/devcenters/Contoso/attachednetworks/network-uswest3",
  "name": "network-uswest3",
  "type": "Microsoft.DevCenter/devcenters/attachednetworks",
  "properties": {
    "networkConnectionId": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/NetworkConnections/network-uswest3",
    "networkConnectionLocation": "centralus",
    "healthCheckStatus": "Healthy",
    "provisioningState": "Created"
  },
  "systemData": {
    "createdBy": "User1",
    "createdByType": "User",
    "createdAt": "2020-11-18T18:24:24.818Z",
    "lastModifiedBy": "User1",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-11-18T18:24:24.818Z"
  }
}

Definities

Name Description
AttachedNetworkConnection

Vertegenwoordigt een gekoppelde NetworkConnection.

createdByType

Het type identiteit waarmee de resource is gemaakt.

DomainJoinType

Active Directory-jointype

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

HealthCheckStatus

Statuswaarden van statuscontrole

ProvisioningState

Inrichtingsstatus van de resource.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

AttachedNetworkConnection

Vertegenwoordigt een gekoppelde NetworkConnection.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.domainJoinType

DomainJoinType

Type AAD-join van het netwerk. Dit wordt ingevuld op basis van de netwerkverbinding waarnaar wordt verwezen.

properties.healthCheckStatus

HealthCheckStatus

Statuswaarden van statuscontrole

properties.networkConnectionId

string

De resource-id van de NetworkConnection die u wilt koppelen.

properties.networkConnectionLocation

string

De geografische locatie waar de NetworkConnection-resource die is opgegeven in de eigenschap networkConnectionResourceId zich bevindt.

properties.provisioningState

ProvisioningState

De inrichtingsstatus van de resource.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

DomainJoinType

Active Directory-jointype

Waarde Description
HybridAzureADJoin
AzureADJoin

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

HealthCheckStatus

Statuswaarden van statuscontrole

Waarde Description
Unknown
Pending
Running
Passed
Warning
Failed

ProvisioningState

Inrichtingsstatus van de resource.

Waarde Description
NotSpecified
Accepted
Running
Creating
Created
Updating
Updated
Deleting
Deleted
Succeeded
Failed
Canceled
MovingResources
TransientFailure
RolloutInProgress
StorageProvisioningFailed

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.